%define orig_name libopensync-plugin-opie
Name: libopensync0-plugin-opie
Version: 0.22
Release: alt0.M41.1

Summary: Opie plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %orig_name-%version.tar.bz2
Patch0: libopensync-plugin-opie-0.22-curl-callbacks.patch

Requires: libcurl
Requires: libopensync0 = %version
# Conflicts: %orig_name

# Automatically added by buildreq on Thu Oct 16 2008
BuildRequires: gcc-c++ gcc-fortran glib2-devel libcurl-devel libopensync0-devel libxml2-devel

%description
This plugin allows applications using Opie to synchronise.

%prep
%setup -q -n %orig_name-%version
%patch -p0

%build
%configure
%make

%install
%makeinstall install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la
rm -f %buildroot%_libdir/opensync/formats/*.la
%files
%_libdir/opensync/plugins/*.so
%_libdir/opensync/formats/*.so
%_datadir/opensync/defaults/*

%changelog
* Mon Oct 20 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt0.M41.1
- M41

* Thu Oct 16 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Stable version.

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Wed Oct 25 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- Initial package
